diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-l3-protocol.h ns-3.44/src/internet/model/ipv4-l3-protocol.h
--- ns-3.43/src/internet/model/ipv4-l3-protocol.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-l3-protocol.h	2025-03-09 16:55:49.395371200 -0700
@@ -45,9 +45,9 @@
 class Icmpv4L4Protocol;
 
 /**
- * \ingroup ipv4
+ * @ingroup ipv4
  *
- * \brief Implement the IPv4 layer.
+ * @brief Implement the IPv4 layer.
  *
  * This is the actual implementation of IP.  It contains APIs to send and
  * receive packets at the IP layer, as well as APIs for IP routing.
@@ -73,11 +73,12 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
-    static const uint16_t PROT_NUMBER; //!< Protocol number (0x0800)
+
+    static constexpr uint16_t PROT_NUMBER = 0x0800; //!< Protocol number
 
     Ipv4L3Protocol();
     ~Ipv4L3Protocol() override;
@@ -87,8 +88,8 @@
     Ipv4L3Protocol& operator=(const Ipv4L3Protocol&) = delete;
 
     /**
-     * \enum DropReason
-     * \brief Reason why a packet has been dropped.
+     * @enum DropReason
+     * @brief Reason why a packet has been dropped.
      */
     enum DropReason
     {
@@ -102,8 +103,8 @@
     };
 
     /**
-     * \brief Set node associated with this stack.
-     * \param node node to set
+     * @brief Set node associated with this stack.
+     * @param node node to set
      */
     void SetNode(Ptr<Node> node);
 
@@ -127,7 +128,7 @@
     Ipv4Address SourceAddressSelection(uint32_t interface, Ipv4Address dest) override;
 
     /**
-     * \param ttl default ttl to use
+     * @param ttl default ttl to use
      *
      * When we need to send an ipv4 packet, we use this default
      * ttl value.
@@ -140,12 +141,12 @@
      * packet is coming to:
      *    - implement a per-NetDevice ARP cache
      *    - send back arp replies on the right device
-     * \param device network device
-     * \param p the packet
-     * \param protocol protocol value
-     * \param from address of the correspondent
-     * \param to address of the destination
-     * \param packetType type of the packet
+     * @param device network device
+     * @param p the packet
+     * @param protocol protocol value
+     * @param from address of the correspondent
+     * @param to address of the destination
+     * @param packetType type of the packet
      */
     void Receive(Ptr<NetDevice> device,
                  Ptr<const Packet> p,
@@ -155,11 +156,11 @@
                  NetDevice::PacketType packetType);
 
     /**
-     * \param packet packet to send
-     * \param source source address of packet
-     * \param destination address of packet
-     * \param protocol number of packet
-     * \param route route entry
+     * @param packet packet to send
+     * @param source source address of packet
+     * @param destination address of packet
+     * @param protocol number of packet
+     * @param route route entry
      *
      * Higher-level layers call this method to send a packet
      * down the stack to the MAC and PHY layers.
@@ -170,9 +171,9 @@
               uint8_t protocol,
               Ptr<Ipv4Route> route) override;
     /**
-     * \param packet packet to send
-     * \param ipHeader IP Header
-     * \param route route entry
+     * @param packet packet to send
+     * @param ipHeader IP Header
+     * @param route route entry
      *
      * Higher-level layers call this method to send a packet with IPv4 Header
      * (Intend to be used with IpHeaderInclude attribute.)
@@ -181,9 +182,9 @@
 
     uint32_t AddInterface(Ptr<NetDevice> device) override;
     /**
-     * \brief Get an interface.
-     * \param i interface index
-     * \return IPv4 interface pointer
+     * @brief Get an interface.
+     * @param i interface index
+     * @return IPv4 interface pointer
      */
     Ptr<Ipv4Interface> GetInterface(uint32_t i) const;
     uint32_t GetNInterfaces() const override;
@@ -214,23 +215,23 @@
     Ptr<NetDevice> GetNetDevice(uint32_t i) override;
 
     /**
-     * \brief Check if an IPv4 address is unicast according to the node.
+     * @brief Check if an IPv4 address is unicast according to the node.
      *
      * This function checks all the node's interfaces and the respective subnet masks.
      * An address is considered unicast if it's not broadcast, subnet-broadcast or multicast.
      *
-     * \param ad address
+     * @param ad address
      *
-     * \return true if the address is unicast
+     * @return true if the address is unicast
      */
     bool IsUnicast(Ipv4Address ad) const;
 
     /**
      * TracedCallback signature for packet send, forward, or local deliver events.
      *
-     * \param [in] header the Ipv4Header
-     * \param [in] packet the packet
-     * \param [in] interface IP-level interface number
+     * @param [in] header the Ipv4Header
+     * @param [in] packet the packet
+     * @param [in] interface IP-level interface number
      */
     typedef void (*SentTracedCallback)(const Ipv4Header& header,
                                        Ptr<const Packet> packet,
@@ -239,10 +240,10 @@
     /**
      * TracedCallback signature for packet transmission or reception events.
      *
-     * \param [in] packet the packet.
-     * \param [in] ipv4 the Ipv4 protocol
-     * \param [in] interface IP-level interface number
-     * \deprecated The non-const \c Ptr<Ipv4> argument is deprecated
+     * @param [in] packet the packet.
+     * @param [in] ipv4 the Ipv4 protocol
+     * @param [in] interface IP-level interface number
+     * @deprecated The non-const \c Ptr<Ipv4> argument is deprecated
      * and will be changed to \c Ptr<const Ipv4> in a future release.
      */
     // NS_DEPRECATED() - tag for future removal
@@ -253,12 +254,12 @@
     /**
      * TracedCallback signature for packet drop events.
      *
-     * \param [in] header the Ipv4Header.
-     * \param [in] packet the packet.
-     * \param [in] reason the reason the packet was dropped.
-     * \param [in] ipv4 the Ipv4 protocol
-     * \param [in] interface IP-level interface number
-     * \deprecated The non-const \c Ptr<Ipv4> argument is deprecated
+     * @param [in] header the Ipv4Header.
+     * @param [in] packet the packet.
+     * @param [in] reason the reason the packet was dropped.
+     * @param [in] ipv4 the Ipv4 protocol
+     * @param [in] interface IP-level interface number
+     * @deprecated The non-const \c Ptr<Ipv4> argument is deprecated
      * and will be changed to \c Ptr<const Ipv4> in a future release.
      */
     // NS_DEPRECATED() - tag for future removal
@@ -279,8 +280,8 @@
 
   private:
     /**
-     * \brief Ipv4L3ProtocolTestCase test case.
-     * \relates Ipv4L3ProtocolTestCase
+     * @brief Ipv4L3ProtocolTestCase test case.
+     * @relates Ipv4L3ProtocolTestCase
      */
     friend class ::Ipv4L3ProtocolTestCase;
 
@@ -288,10 +289,10 @@
     void SetIpForward(bool forward) override;
     bool GetIpForward() const override;
 
-    /** \copydoc Ipv4::SetWeakEsModel */
+    /** @copydoc Ipv4::SetWeakEsModel */
     NS_DEPRECATED_3_41("Use SetStrongEndSystemModel instead")
     void SetWeakEsModel(bool model) override;
-    /** \copydoc Ipv4::GetWeakEsModel */
+    /** @copydoc Ipv4::GetWeakEsModel */
     NS_DEPRECATED_3_41("Use GetStrongEndSystemModel instead")
     bool GetWeakEsModel() const override;
 
@@ -299,23 +300,23 @@
     bool GetStrongEndSystemModel() const override;
 
     /**
-     * \brief Decrease the identification value for a dropped or recursed packet
-     * \param source source IPv4 address
-     * \param destination destination IPv4 address
-     * \param protocol L4 protocol
+     * @brief Decrease the identification value for a dropped or recursed packet
+     * @param source source IPv4 address
+     * @param destination destination IPv4 address
+     * @param protocol L4 protocol
      */
     void DecreaseIdentification(Ipv4Address source, Ipv4Address destination, uint8_t protocol);
 
     /**
-     * \brief Construct an IPv4 header.
-     * \param source source IPv4 address
-     * \param destination destination IPv4 address
-     * \param protocol L4 protocol
-     * \param payloadSize payload size
-     * \param ttl Time to Live
-     * \param tos Type of Service
-     * \param mayFragment true if the packet can be fragmented
-     * \return newly created IPv4 header
+     * @brief Construct an IPv4 header.
+     * @param source source IPv4 address
+     * @param destination destination IPv4 address
+     * @param protocol L4 protocol
+     * @param payloadSize payload size
+     * @param ttl Time to Live
+     * @param tos Type of Service
+     * @param mayFragment true if the packet can be fragmented
+     * @return newly created IPv4 header
      */
     Ipv4Header BuildHeader(Ipv4Address source,
                            Ipv4Address destination,
@@ -326,86 +327,86 @@
                            bool mayFragment);
 
     /**
-     * \brief Send packet with route.
-     * \param route route
-     * \param packet packet to send
-     * \param ipHeader IPv4 header to add to the packet
+     * @brief Send packet with route.
+     * @param route route
+     * @param packet packet to send
+     * @param ipHeader IPv4 header to add to the packet
      */
     void SendRealOut(Ptr<Ipv4Route> route, Ptr<Packet> packet, const Ipv4Header& ipHeader);
 
     /**
-     * \brief Forward a packet.
-     * \param rtentry route
-     * \param p packet to forward
-     * \param header IPv4 header to add to the packet
+     * @brief Forward a packet.
+     * @param rtentry route
+     * @param p packet to forward
+     * @param header IPv4 header to add to the packet
      */
     void IpForward(Ptr<Ipv4Route> rtentry, Ptr<const Packet> p, const Ipv4Header& header);
 
     /**
-     * \brief Forward a multicast packet.
-     * \param mrtentry route
-     * \param p packet to forward
-     * \param header IPv4 header to add to the packet
+     * @brief Forward a multicast packet.
+     * @param mrtentry route
+     * @param p packet to forward
+     * @param header IPv4 header to add to the packet
      */
     void IpMulticastForward(Ptr<Ipv4MulticastRoute> mrtentry,
                             Ptr<const Packet> p,
                             const Ipv4Header& header);
 
     /**
-     * \brief Deliver a packet.
-     * \param p packet delivered
-     * \param ip IPv4 header
-     * \param iif input interface packet was received
+     * @brief Deliver a packet.
+     * @param p packet delivered
+     * @param ip IPv4 header
+     * @param iif input interface packet was received
      */
     void LocalDeliver(Ptr<const Packet> p, const Ipv4Header& ip, uint32_t iif);
 
     /**
-     * \brief Fallback when no route is found.
-     * \param p packet
-     * \param ipHeader IPv4 header
-     * \param sockErrno error number
+     * @brief Fallback when no route is found.
+     * @param p packet
+     * @param ipHeader IPv4 header
+     * @param sockErrno error number
      */
     void RouteInputError(Ptr<const Packet> p,
                          const Ipv4Header& ipHeader,
                          Socket::SocketErrno sockErrno);
 
     /**
-     * \brief Add an IPv4 interface to the stack.
-     * \param interface interface to add
-     * \return index of newly added interface
+     * @brief Add an IPv4 interface to the stack.
+     * @param interface interface to add
+     * @return index of newly added interface
      */
     uint32_t AddIpv4Interface(Ptr<Ipv4Interface> interface);
 
     /**
-     * \brief Setup loopback interface.
+     * @brief Setup loopback interface.
      */
     void SetupLoopback();
 
     /**
-     * \brief Get ICMPv4 protocol.
-     * \return Icmpv4L4Protocol pointer
+     * @brief Get ICMPv4 protocol.
+     * @return Icmpv4L4Protocol pointer
      */
     Ptr<Icmpv4L4Protocol> GetIcmp() const;
 
     /**
-     * \brief Check if an IPv4 address is unicast.
-     * \param ad address
-     * \param interfaceMask the network mask
-     * \return true if the address is unicast
+     * @brief Check if an IPv4 address is unicast.
+     * @param ad address
+     * @param interfaceMask the network mask
+     * @return true if the address is unicast
      */
     bool IsUnicast(Ipv4Address ad, Ipv4Mask interfaceMask) const;
 
     /**
-     * \brief Pair of a packet and an Ipv4 header.
+     * @brief Pair of a packet and an Ipv4 header.
      */
     typedef std::pair<Ptr<Packet>, Ipv4Header> Ipv4PayloadHeaderPair;
 
     /**
-     * \brief Fragment a packet
-     * \param packet the packet
-     * \param ipv4Header the IPv4 header
-     * \param outIfaceMtu the MTU of the interface
-     * \param listFragments the list of fragments
+     * @brief Fragment a packet
+     * @param packet the packet
+     * @param ipv4Header the IPv4 header
+     * @param outIfaceMtu the MTU of the interface
+     * @param listFragments the list of fragments
      */
     void DoFragmentation(Ptr<Packet> packet,
                          const Ipv4Header& ipv4Header,
@@ -413,20 +414,20 @@
                          std::list<Ipv4PayloadHeaderPair>& listFragments);
 
     /**
-     * \brief Process a packet fragment
-     * \param packet the packet
-     * \param ipHeader the IP header
-     * \param iif Input Interface
-     * \return true is the fragment completed the packet
+     * @brief Process a packet fragment
+     * @param packet the packet
+     * @param ipHeader the IP header
+     * @param iif Input Interface
+     * @return true is the fragment completed the packet
      */
     bool ProcessFragment(Ptr<Packet>& packet, Ipv4Header& ipHeader, uint32_t iif);
 
     /**
-     * \brief Make a copy of the packet, add the header and invoke the TX trace callback
-     * \param ipHeader the IP header that will be added to the packet
-     * \param packet the packet
-     * \param ipv4 the Ipv4 protocol
-     * \param interface the IP-level interface index
+     * @brief Make a copy of the packet, add the header and invoke the TX trace callback
+     * @param ipHeader the IP header that will be added to the packet
+     * @param packet the packet
+     * @param ipv4 the Ipv4 protocol
+     * @param interface the IP-level interface index
      *
      * Note: If the TracedCallback API ever is extended, we could consider
      * to check for connected functions before adding the header
@@ -437,25 +438,25 @@
                      uint32_t interface);
 
     /**
-     * \brief Container of the IPv4 Interfaces.
+     * @brief Container of the IPv4 Interfaces.
      */
     typedef std::vector<Ptr<Ipv4Interface>> Ipv4InterfaceList;
     /**
-     * \brief Container of NetDevices registered to IPv4 and their interface indexes.
+     * @brief Container of NetDevices registered to IPv4 and their interface indexes.
      */
     typedef std::map<Ptr<const NetDevice>, uint32_t> Ipv4InterfaceReverseContainer;
     /**
-     * \brief Container of the IPv4 Raw Sockets.
+     * @brief Container of the IPv4 Raw Sockets.
      */
     typedef std::list<Ptr<Ipv4RawSocketImpl>> SocketList;
 
     /**
-     * \brief Container of the IPv4 L4 keys: protocol number, interface index
+     * @brief Container of the IPv4 L4 keys: protocol number, interface index
      */
     typedef std::pair<int, int32_t> L4ListKey_t;
 
     /**
-     * \brief Container of the IPv4 L4 instances.
+     * @brief Container of the IPv4 L4 instances.
      */
     typedef std::map<L4ListKey_t, Ptr<IpL4Protocol>> L4List_t;
 
@@ -481,18 +482,18 @@
 
     // The following two traces pass a packet with an IP header
     /// Trace of transmitted packets
-    /// \deprecated The non-const \c Ptr<Ipv4> argument is deprecated
+    /// @deprecated The non-const \c Ptr<Ipv4> argument is deprecated
     /// and will be changed to \c Ptr<const Ipv4> in a future release.
     // NS_DEPRECATED() - tag for future removal
     TracedCallback<Ptr<const Packet>, Ptr<Ipv4>, uint32_t> m_txTrace;
     /// Trace of received packets
-    /// \deprecated The non-const \c Ptr<Ipv4> argument is deprecated
+    /// @deprecated The non-const \c Ptr<Ipv4> argument is deprecated
     /// and will be changed to \c Ptr<const Ipv4> in a future release.
     // NS_DEPRECATED() - tag for future removal
     TracedCallback<Ptr<const Packet>, Ptr<Ipv4>, uint32_t> m_rxTrace;
     // <ip-header, payload, reason, ifindex> (ifindex not valid if reason is DROP_NO_ROUTE)
     /// Trace of dropped packets
-    /// \deprecated The non-const \c Ptr<Ipv4> argument is deprecated
+    /// @deprecated The non-const \c Ptr<Ipv4> argument is deprecated
     /// and will be changed to \c Ptr<const Ipv4> in a future release.
     // NS_DEPRECATED() - tag for future removal
     TracedCallback<const Ipv4Header&, Ptr<const Packet>, DropReason, Ptr<Ipv4>, uint32_t>
@@ -513,24 +514,24 @@
         FragmentsTimeoutsListI_t;
 
     /**
-     * \brief Process the timeout for packet fragments
-     * \param key representing the packet fragments
-     * \param ipHeader the IP header of the original packet
-     * \param iif Input Interface
+     * @brief Process the timeout for packet fragments
+     * @param key representing the packet fragments
+     * @param ipHeader the IP header of the original packet
+     * @param iif Input Interface
      */
     void HandleFragmentsTimeout(FragmentKey_t key, Ipv4Header& ipHeader, uint32_t iif);
 
     /**
-     * \brief Set a new timeout "event" for a fragmented packet
-     * \param key the fragment identification
-     * \param ipHeader the IPv4 header of the fragmented packet
-     * \param iif input interface of the packet
-     * \return an iterator to the inserted "event"
+     * @brief Set a new timeout "event" for a fragmented packet
+     * @param key the fragment identification
+     * @param ipHeader the IPv4 header of the fragmented packet
+     * @param iif input interface of the packet
+     * @return an iterator to the inserted "event"
      */
     FragmentsTimeoutsListI_t SetTimeout(FragmentKey_t key, Ipv4Header ipHeader, uint32_t iif);
 
     /**
-     * \brief Handles a fragmented packet timeout
+     * @brief Handles a fragmented packet timeout
      */
     void HandleTimeout();
 
@@ -539,67 +540,67 @@
     EventId m_timeoutEvent; //!< Event for the next scheduled timeout
 
     /**
-     * \brief A Set of Fragment belonging to the same packet (src, dst, identification and proto)
+     * @brief A Set of Fragment belonging to the same packet (src, dst, identification and proto)
      */
     class Fragments : public SimpleRefCount<Fragments>
     {
       public:
         /**
-         * \brief Constructor.
+         * @brief Constructor.
          */
         Fragments();
 
         /**
-         * \brief Add a fragment.
-         * \param fragment the fragment
-         * \param fragmentOffset the offset of the fragment
-         * \param moreFragment the bit "More Fragment"
+         * @brief Add a fragment.
+         * @param fragment the fragment
+         * @param fragmentOffset the offset of the fragment
+         * @param moreFragment the bit "More Fragment"
          */
         void AddFragment(Ptr<Packet> fragment, uint16_t fragmentOffset, bool moreFragment);
 
         /**
-         * \brief If all fragments have been added.
-         * \returns true if the packet is entire
+         * @brief If all fragments have been added.
+         * @returns true if the packet is entire
          */
         bool IsEntire() const;
 
         /**
-         * \brief Get the entire packet.
-         * \return the entire packet
+         * @brief Get the entire packet.
+         * @return the entire packet
          */
         Ptr<Packet> GetPacket() const;
 
         /**
-         * \brief Get the complete part of the packet.
-         * \return the part we have complete
+         * @brief Get the complete part of the packet.
+         * @return the part we have complete
          */
         Ptr<Packet> GetPartialPacket() const;
 
         /**
-         * \brief Set the Timeout iterator.
-         * \param iter The iterator.
+         * @brief Set the Timeout iterator.
+         * @param iter The iterator.
          */
         void SetTimeoutIter(FragmentsTimeoutsListI_t iter);
 
         /**
-         * \brief Get the Timeout iterator.
-         * \returns The iterator.
+         * @brief Get the Timeout iterator.
+         * @returns The iterator.
          */
         FragmentsTimeoutsListI_t GetTimeoutIter();
 
       private:
         /**
-         * \brief True if other fragments will be sent.
+         * @brief True if other fragments will be sent.
          */
         bool m_moreFragment;
 
         /**
-         * \brief The current fragments.
+         * @brief The current fragments.
          */
         std::list<std::pair<Ptr<Packet>, uint16_t>> m_fragments;
 
         /**
-         * \brief Timeout iterator to "event" handler
+         * @brief Timeout iterator to "event" handler
          */
         FragmentsTimeoutsListI_t m_timeoutIter;
     };
@@ -619,9 +620,9 @@
 
     /**
      * Registers duplicate entry, return false if new
-     * \param [in] p Possibly duplicate packet.
-     * \param [in] header Packet \pname{p} header.
-     * \return True if this packet is a duplicate
+     * @param [in] p Possibly duplicate packet.
+     * @param [in] header Packet \pname{p} header.
+     * @return True if this packet is a duplicate
      */
     bool UpdateDuplicate(Ptr<const Packet> p, const Ipv4Header& header);
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-list-routing.h ns-3.44/src/internet/model/ipv4-list-routing.h
--- ns-3.43/src/internet/model/ipv4-list-routing.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-list-routing.h	2025-03-09 16:55:49.395371200 -0700
@@ -18,9 +18,9 @@
 {
 
 /**
- * \ingroup ipv4Routing
+ * @ingroup ipv4Routing
  *
- * \brief IPv4 list routing.
+ * @brief IPv4 list routing.
  *
  * This class is a specialization of Ipv4RoutingProtocol that allows
  * other instances of Ipv4RoutingProtocol to be inserted in a
@@ -36,8 +36,8 @@
 {
   public:
     /**
-     * \brief Get the type ID of this class.
-     * \return type ID
+     * @brief Get the type ID of this class.
+     * @return type ID
      */
     static TypeId GetTypeId();
 
@@ -45,15 +45,15 @@
     ~Ipv4ListRouting() override;
 
     /**
-     * \brief Register a new routing protocol to be used in this IPv4 stack
+     * @brief Register a new routing protocol to be used in this IPv4 stack
      *
-     * \param routingProtocol new routing protocol implementation object
-     * \param priority priority to give to this routing protocol.
+     * @param routingProtocol new routing protocol implementation object
+     * @param priority priority to give to this routing protocol.
      * Values may range between -32768 and +32767.
      */
     virtual void AddRoutingProtocol(Ptr<Ipv4RoutingProtocol> routingProtocol, int16_t priority);
     /**
-     * \return number of routing protocols in the list
+     * @return number of routing protocols in the list
      */
     virtual uint32_t GetNRoutingProtocols() const;
     /**
@@ -62,9 +62,9 @@
      * the second highest priority, and so on.  The priority parameter is an
      * output parameter and it returns the integer priority of the protocol.
      *
-     * \return pointer to routing protocol indexed by
-     * \param index index of protocol to return
-     * \param priority output parameter, set to the priority of the protocol
+     * @return pointer to routing protocol indexed by
+     * @param index index of protocol to return
+     * @param priority output parameter, set to the priority of the protocol
               being returned
      */
     virtual Ptr<Ipv4RoutingProtocol> GetRoutingProtocol(uint32_t index, int16_t& priority) const;
@@ -96,20 +96,20 @@
 
   private:
     /**
-     * \brief Container identifying an IPv4 Routing Protocol entry in the list.
+     * @brief Container identifying an IPv4 Routing Protocol entry in the list.
      */
     typedef std::pair<int16_t, Ptr<Ipv4RoutingProtocol>> Ipv4RoutingProtocolEntry;
     /**
-     * \brief Container of the IPv4 Routing Protocols.
+     * @brief Container of the IPv4 Routing Protocols.
      */
     typedef std::list<Ipv4RoutingProtocolEntry> Ipv4RoutingProtocolList;
     Ipv4RoutingProtocolList m_routingProtocols; //!<  List of routing protocols.
 
     /**
-     * \brief Compare two routing protocols.
-     * \param a first object to compare
-     * \param b second object to compare
-     * \return true if they are the same, false otherwise
+     * @brief Compare two routing protocols.
+     * @param a first object to compare
+     * @param b second object to compare
+     * @return true if they are the same, false otherwise
      */
     static bool Compare(const Ipv4RoutingProtocolEntry& a, const Ipv4RoutingProtocolEntry& b);
     Ptr<Ipv4> m_ipv4; //!< Ipv4 this protocol is associated with.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-packet-filter.h ns-3.44/src/internet/model/ipv4-packet-filter.h
--- ns-3.43/src/internet/model/ipv4-packet-filter.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-packet-filter.h	2025-03-09 16:55:49.395371200 -0700
@@ -19,8 +19,8 @@
 {
 
 /**
- * \ingroup ipv4
- * \ingroup traffic-control
+ * @ingroup ipv4
+ * @ingroup traffic-control
  *
  * Ipv4PacketFilter is the abstract base class for filters defined for IPv4 packets.
  */
@@ -28,8 +28,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-packet-info-tag.h ns-3.44/src/internet/model/ipv4-packet-info-tag.h
--- ns-3.43/src/internet/model/ipv4-packet-info-tag.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-packet-info-tag.h	2025-03-09 16:55:49.395371200 -0700
@@ -19,9 +19,9 @@
 class Packet;
 
 /**
- * \ingroup ipv4
+ * @ingroup ipv4
  *
- * \brief This class implements Linux struct pktinfo
+ * @brief This class implements Linux struct pktinfo
  * in order to deliver ancillary information to the socket interface.
  * This is used with socket option such as IP_PKTINFO, IP_RECVTTL,
  * IP_RECVTOS. See linux manpage ip(7).
@@ -40,48 +40,48 @@
     Ipv4PacketInfoTag();
 
     /**
-     * \brief Set the tag's address
+     * @brief Set the tag's address
      *
-     * \param addr the address
+     * @param addr the address
      */
     void SetAddress(Ipv4Address addr);
 
     /**
-     * \brief Get the tag's address
+     * @brief Get the tag's address
      *
-     * \returns the address
+     * @returns the address
      */
     Ipv4Address GetAddress() const;
 
     /**
-     * \brief Set the tag's receiving interface
+     * @brief Set the tag's receiving interface
      *
-     * \param ifindex the interface index
+     * @param ifindex the interface index
      */
     void SetRecvIf(uint32_t ifindex);
     /**
-     * \brief Get the tag's receiving interface
+     * @brief Get the tag's receiving interface
      *
-     * \returns the interface index
+     * @returns the interface index
      */
     uint32_t GetRecvIf() const;
 
     /**
-     * \brief Set the tag's Time to Live
+     * @brief Set the tag's Time to Live
      * Implemented, but not used in the stack yet
-     * \param ttl the TTL
+     * @param ttl the TTL
      */
     void SetTtl(uint8_t ttl);
     /**
-     * \brief Get the tag's Time to Live
+     * @brief Get the tag's Time to Live
      * Implemented, but not used in the stack yet
-     * \returns the TTL
+     * @returns the TTL
      */
     uint8_t GetTtl() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
